OmniLink API
Metrics

Metricas Prometheus

Expõe `generate_latest()` do prometheus_client (contadores/histogramas HTTP e de tasks). Content-Type: `text/plain; version=0.0.4`. Mesma regra de METRICS_TOKEN que `/health/diagnostics`.

GET
/metrics

Expõe generate_latest() do prometheus_client (contadores/histogramas HTTP e de tasks). Content-Type: text/plain; version=0.0.4. Mesma regra de METRICS_TOKEN que /health/diagnostics.

Authorization

AuthorizationBearer <token>

Token estatico METRICS_TOKEN. Nao e JWT — a API compara a string literal depois de Bearer . Usado so em /metrics e /health/diagnostics. TODO: nao existe autenticacao JWT nesta API.

In: header

Header Parameters

Authorization?string

Bearer METRICS_TOKEN.

x-metrics-token?string

Response Body

text/plain

application/json

application/json

curl -X GET "https://example.com/metrics"
"# HELP omnilink_http_requests_total Total HTTP requests\n# TYPE omnilink_http_requests_total counter\nomnilink_http_requests_total{method=\"GET\",path=\"/health\",status=\"200\"} 3.0\n"